Subject: Re: SAS6.1 users: please read
From: [email-masked] (Harri P Pesonen)
Date: 5 Dec 92 16:11:58 GMT
Newsgroups: comp.sys.amiga.programmer

In article ??? [email-masked] (Steve Koren) writes:
> 
> I can believe the program is doing the correct thing by ANSI standards.
> But personally, I'd expect the result of doing arithmetic on a signed
> and unsigned int to result in a signed number.

I thought that it depends on what is on the left side.

(unsigned)1 - (signed)2 -> (unsigned)-1, which is 65535 or 2^32-1

>    - steve

-- 
    Harri Pesonen               [email-masked]
    Helsinki, Finland, EC?      Markka is floating...  1 USD = 5.1 FIM